HiddenHttpMethodFilter.HttpMethodRequestWrapper (Grails 6.0.0)

Package: org.grails.web.filters

## [Java] Class HiddenHttpMethodFilter.HttpMethodRequestWrapper

- org.grails.web.filters.HiddenHttpMethodFilter.HttpMethodRequestWrapper

-     protected static class HiddenHttpMethodFilter.HttpMethodRequestWrapper
      extends javax.servlet.http.HttpServletRequestWrapper

  Simple javax.servlet.http.HttpServletRequest wrapper that returns the supplied method for javax.servlet.http.HttpServletRequest#getMethod().

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.String` | `method` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class javax.servlet.http.HttpServletRequestWrapper` | `BASIC_AUTH, FORM_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HttpMethodRequestWrapper (java.lang.String method, javax.servlet.http.HttpServletRequest request)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public java.lang.String` | `getMethod()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class javax.servlet.http.HttpServletRequestWrapper` | `javax.servlet.http.HttpServletRequestWrapper#getHeader(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getHeaders(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getHttpServletMapping(), javax.servlet.http.HttpServletRequestWrapper#getPathInfo(), javax.servlet.http.HttpServletRequestWrapper#getPathTranslated(), javax.servlet.http.HttpServletRequestWrapper#newPushBuilder(), javax.servlet.http.HttpServletRequestWrapper#getRemoteUser(), javax.servlet.http.HttpServletRequestWrapper#isUserInRole(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getRequestedSessionId(), javax.servlet.http.HttpServletRequestWrapper#getRequestURI(), javax.servlet.http.HttpServletRequestWrapper#getRequestURL(), javax.servlet.http.HttpServletRequestWrapper#getServletPath(), javax.servlet.http.HttpServletRequestWrapper#changeSessionId(), javax.servlet.http.HttpServletRequestWrapper#isRequestedSessionIdValid(), javax.servlet.http.HttpServletRequestWrapper#isRequestedSessionIdFromCookie(), javax.servlet.http.HttpServletRequestWrapper#getAuthType(), javax.servlet.http.HttpServletRequestWrapper#getDateHeader(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getHeaderNames(), javax.servlet.http.HttpServletRequestWrapper#getIntHeader(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#isRequestedSessionIdFromURL(), javax.servlet.http.HttpServletRequestWrapper#isRequestedSessionIdFromUrl(), javax.servlet.http.HttpServletRequestWrapper#getPart(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getTrailerFields(), javax.servlet.http.HttpServletRequestWrapper#isTrailerFieldsReady(), javax.servlet.http.HttpServletRequestWrapper#getQueryString(), javax.servlet.http.HttpServletRequestWrapper#getContextPath(), javax.servlet.http.HttpServletRequestWrapper#getSession(), javax.servlet.http.HttpServletRequestWrapper#getSession(boolean), javax.servlet.http.HttpServletRequestWrapper#getParts(), javax.servlet.http.HttpServletRequestWrapper#upgrade(java.lang.Class), javax.servlet.http.HttpServletRequestWrapper#getCookies(), javax.servlet.http.HttpServletRequestWrapper#getUserPrincipal(), javax.servlet.http.HttpServletRequestWrapper#login(java.lang.String, java.lang.String), javax.servlet.http.HttpServletRequestWrapper#logout(), javax.servlet.http.HttpServletRequestWrapper#authenticate(javax.servlet.http.HttpServletResponse), javax.servlet.http.HttpServletRequestWrapper#getMethod(), javax.servlet.http.HttpServletRequestWrapper#getContentLength(), javax.servlet.http.HttpServletRequestWrapper#getContentLengthLong(), javax.servlet.http.HttpServletRequestWrapper#getContentType(), javax.servlet.http.HttpServletRequestWrapper#getLocalName(), javax.servlet.http.HttpServletRequestWrapper#getCharacterEncoding(), javax.servlet.http.HttpServletRequestWrapper#setCharacterEncoding(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#setRequest(javax.servlet.ServletRequest), javax.servlet.http.HttpServletRequestWrapper#getAttribute(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#setAttribute(java.lang.String, java.lang.Object), javax.servlet.http.HttpServletRequestWrapper#getLocale(), javax.servlet.http.HttpServletRequestWrapper#getServletContext(), javax.servlet.http.HttpServletRequestWrapper#getRequestDispatcher(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getRealPath(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getParameterNames(), javax.servlet.http.HttpServletRequestWrapper#getParameterValues(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getParameterMap(), javax.servlet.http.HttpServletRequestWrapper#getServerName(), javax.servlet.http.HttpServletRequestWrapper#getServerPort(), javax.servlet.http.HttpServletRequestWrapper#getRemoteAddr(), javax.servlet.http.HttpServletRequestWrapper#getRemoteHost(), javax.servlet.http.HttpServletRequestWrapper#getLocales(), javax.servlet.http.HttpServletRequestWrapper#getLocalAddr(), javax.servlet.http.HttpServletRequestWrapper#startAsync(javax.servlet.ServletRequest, javax.servlet.ServletResponse), javax.servlet.http.HttpServletRequestWrapper#startAsync(), javax.servlet.http.HttpServletRequestWrapper#isAsyncStarted(), javax.servlet.http.HttpServletRequestWrapper#isAsyncSupported(), javax.servlet.http.HttpServletRequestWrapper#getAsyncContext(), javax.servlet.http.HttpServletRequestWrapper#getDispatcherType(), javax.servlet.http.HttpServletRequestWrapper#removeAttribute(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getParameter(java.lang.String), javax.servlet.http.HttpServletRequestWrapper#getReader(), javax.servlet.http.HttpServletRequestWrapper#isWrapperFor(java.lang.Class), javax.servlet.http.HttpServletRequestWrapper#isWrapperFor(javax.servlet.ServletRequest), javax.servlet.http.HttpServletRequestWrapper#getAttributeNames(), javax.servlet.http.HttpServletRequestWrapper#getRequest(), javax.servlet.http.HttpServletRequestWrapper#getRemotePort(), javax.servlet.http.HttpServletRequestWrapper#isSecure(), javax.servlet.http.HttpServletRequestWrapper#getLocalPort(), javax.servlet.http.HttpServletRequestWrapper#getProtocol(), javax.servlet.http.HttpServletRequestWrapper#getScheme(), javax.servlet.http.HttpServletRequestWrapper#getInputStream(), javax.servlet.http.HttpServletRequestWrapper#wait(long), javax.servlet.http.HttpServletRequestWrapper#wait(long, int), javax.servlet.http.HttpServletRequestWrapper#wait(), javax.servlet.http.HttpServletRequestWrapper#equals(java.lang.Object), javax.servlet.http.HttpServletRequestWrapper#toString(), javax.servlet.http.HttpServletRequestWrapper#hashCode(), javax.servlet.http.HttpServletRequestWrapper#getClass(), javax.servlet.http.HttpServletRequestWrapper#notify(), javax.servlet.http.HttpServletRequestWrapper#notifyAll()`

- - ### Field Detail

    - #### private final java.lang.String method

  - ### Constructor Detail

    - #### public HttpMethodRequestWrapper(java.lang.String method, javax.servlet.http.HttpServletRequest request)

  - ### Method Detail

    - #### @java.lang.Override public java.lang.String getMethod()